aboutsummaryrefslogtreecommitdiff
path: root/bin/print
diff options
context:
space:
mode:
Diffstat (limited to 'bin/print')
-rwxr-xr-xbin/print1
1 files changed, 1 insertions, 0 deletions
diff --git a/bin/print b/bin/print
index c1c6b2e..4911ecd 100755
--- a/bin/print
+++ b/bin/print
@@ -131,6 +131,7 @@ done
shift $((OPTIND - 1))
NEWDIR="$(mkdtemp)"
+trap 'rm -rf "$NEWDIR"' EXIT
if [ -z "${1:-}" ]; then
FILE="$NEWDIR"/STDIN
cat - > "$FILE"